VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::Entry Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::Entry:

## Avaliable Methods
public method | set_nic ()
public method | set_type ()
public method | get_disks ()
public method | get_nic ()
public method | get_type ()
public method | new ()
public method | set_disks ()

## Detailed Description

The `Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::Entry` class specifies a bootable virtual device class or specific bootable virtual device(s).

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::Entry::get_disks | ( |  | ) |

Gets the value of 'disks' property.

Return values

  disks | - The current value of the field. Virtual disk device. List of virtual disks in boot order. optional#

Code:
click to view
# Number of lines of code in get_disks: 4
sub get_disks {
my ($self, %args) = @_;
return $self->{'disks'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::Entry::get_nic | ( |  | ) |

Gets the value of 'nic' property.

Return values

  nic | - The current value of the field. Virtual Ethernet device. Ethernet device to use as boot device for this entry. optional#

Code:
click to view
# Number of lines of code in get_nic: 4
sub get_nic {
my ($self, %args) = @_;
return $self->{'nic'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::Entry::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Virtual device type. Type#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::Entry::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::Entry structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 30
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'type',
'case_map' => {
'ETHERNET' => ['nic'],
'DISK' => ['disks'],
'CDROM' => [],
'FLOPPY' => [],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->{nic} = $args{'nic'};
$self->{disks} = $args{'disks'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::Entry');
$self->set_binding_name('name' => 'com.vmware.vcenter.vm.hardware.boot.device.entry');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware::Boot', 'type_name' => 'Device::Type'));
$self->set_binding_field('key' => 'nic', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'disks', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType())));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::Entry::set_disks | ( |  | ) |

Sets the given value for 'disks' property.

Parameters

  disks | - New value for the field. Virtual disk device. List of virtual disks in boot order.

Code:
click to view
# Number of lines of code in set_disks: 5
sub set_disks {
my ($self, %args) = @_;
$self->{'disks'} = $args{'disks'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::Entry::set_nic | ( |  | ) |

Sets the given value for 'nic' property.

Parameters

  nic | - New value for the field. Virtual Ethernet device. Ethernet device to use as boot device for this entry.

Code:
click to view
# Number of lines of code in set_nic: 5
sub set_nic {
my ($self, %args) = @_;
$self->{'nic'} = $args{'nic'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::Entry::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Virtual device type.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware/Boot/Device.pm